clang 10.0.0git

Public Member Functions | List of all members
clang::arcmt::trans::GCCollectableCallsTraverser Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/ARCMigrate/Transforms.h"`

Inheritance diagram for clang::arcmt::trans::GCCollectableCallsTraverser:
[legend]
Collaboration diagram for clang::arcmt::trans::GCCollectableCallsTraverser:
[legend]

## Public Member Functions
void | traverseBody (BodyContext &BodyCtx) override
Public Member Functions inherited from clang::arcmt::trans::ASTTraverser
virtual | ~ASTTraverser ()
virtual void | traverseTU (MigrationContext &MigrateCtx)
virtual void | traverseObjCImplementation (ObjCImplementationContext &ImplCtx)

## Detailed Description

Definition at line 149 of file Transforms.h.

## Member Function Documentation

## ◆ traverseBody()

void GCCollectableCallsTraverser::traverseBody | ( | BodyContext & | BodyCtx | ) |
| override virtual

Reimplemented from clang::arcmt::trans::ASTTraverser.

Definition at line 73 of file TransGCCalls.cpp.

References clang::arcmt::trans::BodyContext::getMigrationContext(), and clang::arcmt::trans::BodyContext::getTopStmt().

The documentation for this class was generated from the following files:

- lib/ARCMigrate/Transforms.h
- lib/ARCMigrate/TransGCCalls.cpp